Skip to main content
`Ctrl`+`K`

# PetscDSSetUpperBound

Set the pointwise upper bound function for a given field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetUpperBound(PetscDS ds, PetscInt f, PetscPointBoundFn *ub, PetscCtx ctx)

Not Collective

## Input Parameters

- ds - The `PetscDS`

- f - The field number

- ub - upper bound function for the test fields, see `PetscPointBoundFn`

- ctx - context or `NULL` that will be passed to `ub`

## See Also

`PetscDS`, `PetscPointBoundFn`, `PetscDSGetUpperBound()`, `PetscDSGetLowerBound()`, `PetscDSGetExactSolution()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages